List Field Recordings
curl --request GET \
--url https://data.craftflow.co/api/v1/recordings/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.craftflow.co/api/v1/recordings/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.craftflow.co/api/v1/recordings/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "e5f6a7b8-c9d0-1234-efab-567890123456",
"name": "HVAC Install - 123 Main St",
"start_time": "2025-07-01T09:00:00Z",
"end_time": "2025-07-01T09:45:00Z",
"audio_duration_seconds": 2700,
"score": 0.85,
"user": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"full_name": "John Doe"
},
"created_at": "2025-07-01T09:00:00Z"
}
],
"pagination": {
"count": 1,
"page": 1,
"page_size": 25,
"total_pages": 1
}
}{
"error": {
"detail": "<string>"
}
}{
"error": {
"detail": "<string>"
}
}Field Recordings
List Field Recordings
Retrieve a paginated list of field recordings in your company.
GET
/
recordings
/
List Field Recordings
Authorizations
Your API key, prefixed with cf_live_.
Query Parameters
Sort results by a field. Prefix with - for descending order.
Available options:
created_at, -created_at Page number.
Required range:
x >= 1Number of results per page.
Required range:
1 <= x <= 100⌘I